Page MenuHomePhabricator

The message about a deleted JavaScript page is shown as LTR in an RTL wiki
Closed, ResolvedPublic

Description

To reproduce:

  1. Set $wgLanguageCode to 'he'.
  2. Create a page called MediaWiki:Bla.js, write something and save.
  3. Delete the page.
  4. View the page.

Observed: A message is shown saying that the page was deleted, with the relevant line from the log. The box's directionality is LTR.

Expected: The box's directionality must be RTL.


Version: unspecified
Severity: normal

Details

Reference
bz58685
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:35 AM
bzimport set Reference to bz58685.
Amire80 created this task.Dec 19 2013, 12:53 PM

omid_h28 wrote:

I've just tested in my own 'FA' wiki, Confirmed.

Change 102677 had a related patch set uploaded by Ebrahim:
i18n: Make LogEventsList user language direction aware

https://gerrit.wikimedia.org/r/102677

Change 102677 merged by jenkins-bot:
i18n: Make LogEventsList user language direction aware

https://gerrit.wikimedia.org/r/102677

Calak added a comment.Dec 20 2013, 9:11 AM

Please change "Assigned To" to "ebrahim@gnu.org".

(In reply to comment #4)

Please change "Assigned To" to "ebrahim@gnu.org".

He can do it himself if he wishes.

Ebraminio claimed this task.Aug 3 2015, 6:37 AM
Ebraminio set Security to None.

Change 228750 had a related patch set uploaded (by Ebrahim):
i18n: Make noarticletext direction aware

https://gerrit.wikimedia.org/r/228750

Change 228750 merged by jenkins-bot:
i18n: Make noarticletext direction aware

https://gerrit.wikimedia.org/r/228750

Ebraminio triaged this task as Low priority.Aug 17 2015, 8:56 AM